% File "mountain.tu".
%
% Written by Phil Edmonds, Feb 97.
%
% A kind of terrain that is brown.
%
%+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++


unit
class Mountain
    inherit Terrain in "terrain.tu"

    export InitMountain
    
    %============================================================

    proc InitMountain (x, y : real)
        Init (x, y, "mountains", brown)
    end InitMountain

    body function EnergyFromEating : int
        result SimVar.MOUNTAIN_ENERGY
    end EnergyFromEating

    body function MoveResistance : real
        result SimVar.MOUNTAIN_RESISTANCE
    end MoveResistance

end Mountain
