% File "plain.tu".
%
% Written by Phil Edmonds, Feb 97.
%
% A kind of terrain that is yellow.
%
%+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++


unit
class Plain
    inherit Terrain in "terrain.tu"

    export InitPlain

    %============================================================

    proc InitPlain (x, y : real)
        Init (x, y, "plains", yellow)
    end InitPlain

    body function EnergyFromEating : int
        result SimVar.PLAIN_ENERGY
    end EnergyFromEating

    body function MoveResistance : real
        result SimVar.PLAIN_RESISTANCE
    end MoveResistance


end Plain
