% File "water.tu".
%
% Written by Phil Edmonds, Feb 97.
%
% A kind of terrain that is blue.
%
%+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

unit
class Water
    inherit Terrain in "terrain.tu"

    export InitWater

    %============================================================

    proc InitWater (x, y : real)
        Object.Init (x, y, "water", blue)
    end InitWater

    body function EnergyFromEating : int
        result 0
    end EnergyFromEating

    body function MoveResistance : real
        result 0.0
    end MoveResistance


end Water
